OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
DBC

# DBC_VArrayTNodeOfVArrayOfReal Class Reference

`#include <DBC_VArrayTNodeOfVArrayOfReal.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| DBC_VArrayTNodeOfVArrayOfReal ()
| DBC_VArrayTNodeOfVArrayOfReal (const Standard_Real &aValue)
void | SetValue (const Standard_Real &aValue)
Standard_Address | Value () const
## Private Attributes
Standard_Real | myValue

## Constructor & Destructor Documentation

DBC_VArrayTNodeOfVArrayOfReal::DBC_VArrayTNodeOfVArrayOfReal | ( |  | ) |

DBC_VArrayTNodeOfVArrayOfReal::DBC_VArrayTNodeOfVArrayOfReal | ( | const Standard_Real & | aValue | ) |

## Member Function Documentation

void DBC_VArrayTNodeOfVArrayOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBC_VArrayTNodeOfVArrayOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* DBC_VArrayTNodeOfVArrayOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void DBC_VArrayTNodeOfVArrayOfReal::SetValue | ( | const Standard_Real & | aValue | ) |

Standard_Address DBC_VArrayTNodeOfVArrayOfReal::Value | ( |  | ) | const

## Field Documentation

Standard_Real DBC_VArrayTNodeOfVArrayOfReal::myValue`[private]`

The documentation for this class was generated from the following file:

- DBC_VArrayTNodeOfVArrayOfReal.hxx